<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import EMRFODEMapEditViewBase from './emrfodemap-edit-view-base.vue';

import view_form from '@widgets/emrfodemap/main3-form/main3-form.vue';

/**
 * 现象引用编辑视图
 *
 * @export
 * @class EMRFODEMapEditView
 * @extends {EMRFODEMapEditViewBase}
 */
@Component({
    components: {
        view_form, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class EMRFODEMapEditView extends EMRFODEMapEditViewBase { }
</script>